IFAPI_LoadKey Struct Reference

`#include <fapi_int.h>`

## Data Fields

enum _FAPI_STATE_LOAD_KEY | state
enum _FAPI_STATE_PREPARE_LOAD_KEY | prepare_state
NODE_STR_T * | path_list
NODE_OBJECT_T * | key_list
IFAPI_OBJECT | auth_object
size_t | position
ESYS_TR | handle
ESYS_TR | parent_handle
bool | parent_handle_persistent
IFAPI_OBJECT * | key_object
char * | key_path
char const * | path

## Detailed Description

The data structure holding internal state of loading keys.

## Field Documentation

## path_list

NODE_STR_T* path_list

The current used hierarchy for CreatePrimary

## state

enum _FAPI_STATE_LOAD_KEY state

The current state of key loading

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h